Contents

GET /accounts#

Obtains a list of the accounts registered at the bank. It returns only the information that this API handles, without any balance or transactions list. This request is only available to the administrator.

Request:

Query Parameters:
  • limitOptional. At most return the given number of results. Negative for descending by row_id, positive for ascending by row_id. Defaults to -20. Since v5.

  • offsetOptional. Starting row_id for pagination. Since v5.

  • filter_nameOptional. Pattern to filter on the account’s legal name. Given the filter ‘foo’, all the accounts will contain ‘foo’ in their legal name. Without this option, all the existing accounts are returned.

  • conversion_rate_class_idOptional. Id of a conversion rate class. Given the filter ‘1’, the accounts will be part of the conversion rate class 1. Given the filter ‘0’, will have no conversion rate class. Without this option all the existing accounts are returned. Since v9.

  • deltaOptional. Deprecated since v5. Use limit instead.

  • startOptional. Deprecated since v5. Use offset instead.

Response:

200 OK:

At least one account was found. The server responds with a ListBankAccountsResponse object.

204 No Content:

No accounts were found for the given request.

401 Unauthorized:

Invalid or missing credentials.

403 Forbidden:

Missing rights.

Details:

interface ListBankAccountsResponse {
  accounts: AccountMinimalData[];
}
interface Balance {
  amount: Amount;
  credit_debit_indicator: "credit" | "debit";
}
interface AccountMinimalData {
  // Username of the account
  username: string;

  // Legal name of the account owner.
  name: string;

  // Full payto URI of this bank account.
  payto_uri: string;

  // Current balance of the account
  balance: Balance;

  // Number indicating the max debit allowed for the requesting user.
  debit_threshold: Amount;

  // Custom minimum cashout amount for this account.
  // If null or absent, the global conversion fee is used.
  // @since **v6**
  // @deprecated in **v9**, use conversion_rate_class_id instead
  min_cashout?: Amount;

  // Is this account visible to anyone?
  is_public: boolean;

  // Is this a taler exchange account?
  is_taler_exchange: boolean;

  // Is the account locked.
  // Defaults to false.
  // @deprecated since **v7**
  is_locked?: boolean;

  // Opaque unique ID used for pagination.
  // @since **v4**, will become mandatory in the next version.
  row_id?: Integer;

  // Current status of the account
  // active: the account can be used
  // locked: the account can be used but cannot create new tokens
  // @since **v7**
  // deleted: the account has been deleted but is retained for compliance
  // reasons, only the administrator can access it
  // Defaults to 'active' is missing
  // @since **v4**, will become mandatory in the next version.
  status?: "active" | "locked" | "deleted";

  // Conversion rate class of the user
  // Only present if conversion is activated on the server
  // @since **v9**
  conversion_rate_class_id?: Integer;

  // Conversion rate available to the user
  // Only present if conversion is activated on the server
  // @since **v9**
  conversion_rate?: ConversionRate;
}